Skip to main content
GET
/
organizations
/
{slug}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/organizations/{slug}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "name": "<string>",
  "slug": "<string>",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "handle": "<string>",
  "description": "<string>",
  "logo": "<string>",
  "website": "<string>",
  "industry": "robotics",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "visibility": "public",
  "plan": "basic",
  "is_verified": true,
  "is_active": true,
  "member_count": 123,
  "team_count": 123,
  "dataset_count": 123,
  "project_count": 123,
  "slice_count": 123,
  "role": "<string>",
  "allowed_domains": [
    "<string>"
  ],
  "slug_edits_remaining": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

slug
string
required

Response

200 - application/json
name
string
required
Required string length: 1 - 1024
slug
string<slug>
required
Required string length: 1 - 255
Pattern: ^[-a-zA-Z0-9_]+$
uid
string<uuid>
handle
string | null

Unique handle for the organization (e.g., 'irobot'). Used in URLs and mentions.

Maximum string length: 50
Pattern: ^[a-zA-Z0-9_]+$
description
string
Maximum string length: 1024
logo
string<uri> | null
website
string<uri>
Maximum string length: 200
industry
enum<string>
Available options:
robotics,
autonomous_vehicle,
ai_ml,
other
email
string<email>

Contact email for the organization.

Maximum string length: 254
phone
string

Contact phone number for the organization.

Maximum string length: 50
visibility
enum<string>

Whether the organization profile is publicly visible.

Available options:
public,
private
plan
enum<string>

Subscription plan for the organization.

Available options:
basic,
pro,
enterprise
is_verified
boolean

Whether the organization has been verified by staff.

is_active
boolean

Whether the organization is active. Inactive organizations cannot be accessed.

member_count
integer

Number of members in the organization

team_count
integer

Number of teams in the organization

dataset_count
integer

Number of datasets in the organization

project_count
integer

Number of projects in the organization

slice_count
integer

Number of slices in the organization

role
string | null

Current user's role in this organization

allowed_domains
string[]

Allowed email domains for auto-enrollment (owner/admin/staff only)

slug_edits_remaining
integer

Number of remaining slug edits allowed (max 3)

created_at
string<date-time>
updated_at
string<date-time>